Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Interface IBlockAccess

All Known Implementing Classes:
  ChunkCache, DemoWorldServer, World, WorldClient, WorldServer, WorldServerMulti

    public interface IBlockAccess

Method Summary
`boolean` | `doesBlockHaveSolidTopSurface(int var1, int var2, int var3)`
`boolean` | `extendedLevelsInChunkCache()`
`BiomeGenBase` | `getBiomeGenForCoords(int var1, int var2)`
`int` | `getBlockId(int var1, int var2, int var3)` Returns the block ID at coords x,y,z
`Material` | `getBlockMaterial(int var1, int var2, int var3)` Returns the block's material.
`int` | `getBlockMetadata(int var1, int var2, int var3)` Returns the block metadata at coords x,y,z
`TileEntity` | `getBlockTileEntity(int var1, int var2, int var3)` Returns the TileEntity associated with a given block in X,Y,Z coordinates, or null if no TileEntity exists
`float` | `getBrightness(int var1, int var2, int var3, int var4)`
`int` | `getHeight()`
`float` | `getLightBrightness(int var1, int var2, int var3)`
`int` | `getLightBrightnessForSkyBlocks(int var1, int var2, int var3, int var4)`
`boolean` | `isAirBlock(int var1, int var2, int var3)`
`boolean` | `isBlockNormalCube(int var1, int var2, int var3)` Indicate if a material is a normal solid opaque cube.
`boolean` | `isBlockOpaqueCube(int var1, int var2, int var3)`

Method Detail

### getBlockId

    int getBlockId(int var1,
                   int var2,
                   int var3)

  Returns the block ID at coords x,y,z

### getBlockTileEntity

    TileEntity getBlockTileEntity(int var1,
                                  int var2,
                                  int var3)

  Returns the TileEntity associated with a given block in X,Y,Z coordinates, or null if no TileEntity exists

### getLightBrightnessForSkyBlocks

    int getLightBrightnessForSkyBlocks(int var1,
                                       int var2,
                                       int var3,
                                       int var4)

### getBrightness

    float getBrightness(int var1,
                        int var2,
                        int var3,
                        int var4)

### getLightBrightness

    float getLightBrightness(int var1,
                             int var2,
                             int var3)

### getBlockMetadata

    int getBlockMetadata(int var1,
                         int var2,
                         int var3)

  Returns the block metadata at coords x,y,z

### getBlockMaterial

    Material getBlockMaterial(int var1,
                              int var2,
                              int var3)

  Returns the block's material.

### isBlockOpaqueCube

    boolean isBlockOpaqueCube(int var1,
                              int var2,
                              int var3)

### isBlockNormalCube

    boolean isBlockNormalCube(int var1,
                              int var2,
                              int var3)

  Indicate if a material is a normal solid opaque cube.

### isAirBlock

    boolean isAirBlock(int var1,
                       int var2,
                       int var3)

### getBiomeGenForCoords

    BiomeGenBase getBiomeGenForCoords(int var1,
                                      int var2)

### getHeight

    int getHeight()

### extendedLevelsInChunkCache

    boolean extendedLevelsInChunkCache()

### doesBlockHaveSolidTopSurface

    boolean doesBlockHaveSolidTopSurface(int var1,
                                         int var2,
                                         int var3)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD